Package org.eclipse.emf.cdo.compare

## Class CDOCompare.CDOMatchEngine.Factory

- java.lang.Object
- - org.eclipse.emf.cdo.compare.CDOCompare.CDOMatchEngine.Factory

- All Implemented Interfaces:
    `org.eclipse.emf.compare.match.IMatchEngine.Factory`
  Enclosing class:
    CDOCompare.CDOMatchEngine

      public static class CDOCompare.CDOMatchEngine.Factory
      extends java.lang.Object
      implements org.eclipse.emf.compare.match.IMatchEngine.Factory

  Creates `match engine` instances.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.compare.match.IMatchEngine.Factory

      `org.eclipse.emf.compare.match.IMatchEngine.Factory.Registry`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `Factory​(org.eclipse.emf.compare.match.eobject.IEObjectMatcher matcher, org.eclipse.emf.compare.match.IComparisonFactory comparisonFactory)` |
    `protected` | `Factory​(org.eclipse.emf.compare.match.IMatchEngine matchEngine)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CDOCompare.CDOMatchEngine` | `createMatchEngine​(org.eclipse.emf.compare.match.eobject.IEObjectMatcher matcher, org.eclipse.emf.compare.match.IComparisonFactory comparisonFactory)` |
    `org.eclipse.emf.compare.match.IMatchEngine` | `getMatchEngine()` |
    `int` | `getRanking()` |
    `boolean` | `isMatchEngineFactoryFor​(org.eclipse.emf.compare.scope.IComparisonScope scope)` |
    `void` | `setRanking​(int ranking)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory​(org.eclipse.emf.compare.match.eobject.IEObjectMatcher matcher,
                         org.eclipse.emf.compare.match.IComparisonFactory comparisonFactory)

    - #### Factory

          protected Factory​(org.eclipse.emf.compare.match.IMatchEngine matchEngine)

  - ### Method Detail

    - #### createMatchEngine

          protected CDOCompare.CDOMatchEngine createMatchEngine​(org.eclipse.emf.compare.match.eobject.IEObjectMatcher matcher,
                                                                org.eclipse.emf.compare.match.IComparisonFactory comparisonFactory)

    - #### getMatchEngine

          public org.eclipse.emf.compare.match.IMatchEngine getMatchEngine()

      Specified by:
        `getMatchEngine` in interface `org.eclipse.emf.compare.match.IMatchEngine.Factory`

    - #### getRanking

          public int getRanking()

      Specified by:
        `getRanking` in interface `org.eclipse.emf.compare.match.IMatchEngine.Factory`

    - #### setRanking

          public void setRanking​(int ranking)

      Specified by:
        `setRanking` in interface `org.eclipse.emf.compare.match.IMatchEngine.Factory`

    - #### isMatchEngineFactoryFor

          public boolean isMatchEngineFactoryFor​(org.eclipse.emf.compare.scope.IComparisonScope scope)

      Specified by:
        `isMatchEngineFactoryFor` in interface `org.eclipse.emf.compare.match.IMatchEngine.Factory`